<?php
/**
 * The template for displaying archive pages
 *
 * Used to display archive-type pages if nothing more specific matches a query.
 * For example, puts together date-based pages if no date.php file exists.
 *
 * If you'd like to further customize these archive views, you may create a
 * new template file for each one. For example, tag.php (Tag archives),
 * category.php (Category archives), author.php (Author archives), etc.
 *
 * @link https://codex.wordpress.org/Template_Hierarchy
 *
 * @package arcHIVE-theme
 * @since arcHIVE-theme 1.0.0
 */

get_header(); ?>

<?php
if ( is_post_type_archive ( 'archive_resource' ) ) :
  get_template_part( 'template-parts/announcement', 'resources' );
else:
  get_template_part( 'template-parts/announcement', '' );
endif;
?>

<article>
  <main>
            <?php
            // https://codex.wordpress.org/Conditional_Tags
            if ( is_post_type_archive ( 'archive_resource' ) ) :

              //https://developer.wordpress.org/reference/functions/get_template_part/#comment-4130
              get_template_part( 'template-parts/section', 'resources', array( 'post_per_page' => '10' ) );

            elseif ( is_category( 'resources' ) ):
              get_template_part( 'template-parts/section', 'categoryposts', array( 'category_name' => 'resources', 'post_per_page' => '10' ) );
            elseif ( is_category( '' ) ):
              get_template_part( 'template-parts/section', 'categoryposts', array('post_per_page' => '6' ) );

            else :
            ?>

            <?php if ( have_posts() ) :
                 // Start the Loop
                 while ( have_posts() ) : the_post();
                  get_template_part( 'template-parts/content', get_post_format() );
                 endwhile;
              else :
                 get_template_part( 'template-parts/content', 'none' );
              endif; // End have_posts() check.
              ?>

              <?php
              // Display navigation to next/previous pages when applicable
              if ( function_exists( 'foundationpress_pagination' ) ) :
                foundationpress_pagination();
              elseif ( is_paged() ) :
              ?>
                <nav id="post-nav">
                  <div class="post-previous"><?php next_posts_link( __( '&larr; Older posts', 'foundationpress' ) ); ?></div>
                  <div class="post-next"><?php previous_posts_link( __( 'Newer posts &rarr;', 'foundationpress' ) ); ?></div>
                </nav>
              <?php endif; ?>


            <?php

            endif;//end if is archive_resource
            ?>


              </main>
            </article>




<?php get_footer();
